fedscm-admin - Man Page

manual page for fedscm-admin 1.1.7

Description

Traceback (most recent call last)

File "/usr/lib/python3.11/site-packages/fasjson_client/gss_http.py", line 27, in _get_creds

creds = gssapi.Credentials(name=name, usage="initiate")

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib64/python3.11/site-packages/gssapi/creds.py", line 77, in __new__

res = cls.acquire(name, lifetime, mechs, usage,

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib64/python3.11/site-packages/gssapi/creds.py", line 163, in acquire

res = rcreds.acquire_cred(name, lifetime,

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "gssapi/raw/creds.pyx", line 127, in gssapi.raw.creds.acquire_cred

gssapi.raw.exceptions.MissingCredentialsError: Major (458752): No credentials were supplied, or the credentials were unavailable or inaccessible, Minor (2529639053): No Kerberos credentials available (default cache: KEYRING:persistent:1000)

During handling of the above exception, another exception occurred:

Traceback (most recent call last)

File "/builddir/build/BUILDROOT/fedscm-admin-1.1.7-1.fc37.noarch/usr/lib/python3.11/site-packages/fedscm_admin/fas.py", line 38, in __init__

self.client = fasjson_client.Client(url=fasjson_url)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/fasjson_client/client.py", line 37, in __init__

self._api = self._make_bravado_client()

^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/fasjson_client/client.py", line 61, in _make_bravado_client

api = SwaggerClient.from_url(

^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/client.py", line 98, in from_url

spec_dict = loader.load_spec(spec_url)

^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/swagger_model.py", line 101, in load_spec

response = request(

^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/swagger_model.py", line 79, in request

return http_client.request(request_params)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/requests_client.py", line 399, in request

self.authenticated_request(sanitized_params), ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/requests_client.py", line 440, in authenticated_request

return self.apply_authentication(requests.Request(**request_params))

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/bravado/requests_client.py", line 445, in apply_authentication

return self.authenticator.apply(request)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/fasjson_client/gss_http.py", line 18, in apply

request.auth = HTTPSPNEGOAuth(creds=self._get_creds())

^^^^^^^^^^^^^^^^^

File "/usr/lib/python3.11/site-packages/fasjson_client/gss_http.py", line 29, in _get_creds

raise ClientSetupError(

fasjson_client.errors.ClientSetupError: Authentication failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last)

File "/builddir/build/BUILDROOT/fedscm-admin-1.1.7-1.fc37.noarch//usr/bin/fedscm-admin", line 33, in <module>

sys.exit(load_entry_point('fedscm-admin==1.1.7', 'console_scripts', 'fedscm-admin')())

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/builddir/build/BUILDROOT/fedscm-admin-1.1.7-1.fc37.noarch//usr/bin/fedscm-admin", line 25, in importlib_load_entry_point

return next(matches).load()

^^^^^^^^^^^^^^^^^^^^

File "/usr/lib64/python3.11/importlib/metadata/__init__.py", line 198, in load

module = import_module(match.group('module'))

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "/usr/lib64/python3.11/importlib/__init__.py", line 126, in import_module

return _bootstrap._gcd_import(name[level:], package, level)

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

File "<frozen importlib._bootstrap>", line 1206, in _gcd_import File "<frozen importlib._bootstrap>", line 1178, in _find_and_load File "<frozen importlib._bootstrap>", line 1128, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1206, in _gcd_import File "<frozen importlib._bootstrap>", line 1178, in _find_and_load File "<frozen importlib._bootstrap>", line 1149, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 690, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 940, in exec_module File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "/builddir/build/BUILDROOT/fedscm-admin-1.1.7-1.fc37.noarch/usr/lib/python3.11/site-packages/fedscm_admin/__init__.py", line 162, in <module>

FAS_CLIENT = FASClient()

^^^^^^^^^^^

File "/builddir/build/BUILDROOT/fedscm-admin-1.1.7-1.fc37.noarch/usr/lib/python3.11/site-packages/fedscm_admin/fas.py", line 40, in __init__

raise ClickException('Failed to create fasjson_client.')

click.exceptions.ClickException: Failed to create fasjson_client.

See Also

/usr/share/doc/fedscm-admin/README.md

Info

August 2022 fedscm-admin 1.1.7